
CoCoA-5 - Bug #1133

Radical bug

01 Dec 2017 09:33 - Anna Maria Bigatti

Status: Closed Start date: 01 Dec 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 2.00 hours

Target version: CoCoA-5.2.2 Spent time: 2.00 hours

Description

/**/ radical(ideal(x^2-x));

[]

 

what happens?

(thanks to Alice Moallemy for finding this)

Related issues:

Related to CoCoA-5 - Bug #1139: Radical problems Closed 12 Dec 2017

History

#1 - 01 Dec 2017 12:04 - Anna Maria Bigatti

- Status changed from New to Feedback

Found it.

In some point the GBasis is added to the gens list.  Later the gens list is expected interreduced.

Fixed. (MonomialCleaning now guarantees interreduced output)

#2 - 01 Dec 2017 16:23 - Anna Maria Bigatti

- % Done changed from 0 to 90

#3 - 11 Dec 2017 19:19 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#4 - 12 Dec 2017 14:58 - John Abbott

- Related to Bug #1139: Radical problems added
